org.tmatesoft.svn.core.wc.admin

## Interface ISVNAdminEventHandler

All Superinterfaces:
  ISVNCanceller, ISVNEventHandler

All Known Implementing Classes:
  SVNAdminEventAdapter

    public interface ISVNAdminEventHandler
    extends ISVNEventHandler

The ISVNAdminEventHandler is used in several methods of SVNAdminClient to notify callers of operation progress. To register your ISVNAdminEventHandler in `SVNAdminClient` pass it to `SVNAdminClient.setEventHandler()`. Or if you are using `SVNClientManager` you may register your handler by passing it to `SVNClientManager.setEventHandler()`. ISVNAdminEventHandler extends `ISVNEventHandler`, so at the same time you may use it with other SVN*Client objects and as a cancellation editor.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

### Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler

`UNKNOWN`

### Fields inherited from interface org.tmatesoft.svn.core.ISVNCanceller

`NULL`

### Method Summary

Methods
`void` `handleAdminEvent(SVNAdminEvent event, double progress)` Handles the current admin event.

### Methods inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler

`handleEvent`

### Methods inherited from interface org.tmatesoft.svn.core.ISVNCanceller

`checkCancelled`

### Method Detail

#### handleAdminEvent

    void handleAdminEvent(SVNAdminEvent event,
                        double progress)
                          throws SVNException

Handles the current admin event.

Parameters:
  `event` - an event to handle
  `progress` - progress state (reserved for future purposes)
Throws:
  `SVNException`